package ch.unisg.executorcomputation;

import java.util.concurrent.TimeUnit;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import ch.unisg.executorcomputation.executor.domain.Executor;

@SpringBootApplication
public class ExecutorcomputationApplication {

    static Logger logger = Logger.getLogger(ExecutorcomputationApplication.class.getName());

	public static void main(String[] args) {

        try {
            TimeUnit.SECONDS.sleep(1);
        } catch (InterruptedException e) {
            logger.log(Level.SEVERE, e.getLocalizedMessage(), e);
            Thread.currentThread().interrupt();
        }

		SpringApplication.run(ExecutorcomputationApplication.class, args);
		Executor.getExecutor();
	}

}
